#!/bin/bash


source ../_local_collect_config.bash

doc_id="HASH01b058d81d87cbb75516422b"

cd $GSDL3HOME/WEB-INF/cgi

export REQUEST_METHOD=GET
export QUERY_STRING="a=get-archives-metadata&site=test-suite&c=filelevel-docver&d=$doc_id&metaname=Title"



echo "========"
echo "Retrieving current Title metadata for $doc_id:"
echo "--------"
#./metadata-server.pl
./metadata-server.pl 2> /dev/null
echo ""
echo "--------"
echo ""

export QUERY_STRING="a=get-archives-metadata&site=test-suite&c=filelevel-docver&d=$doc_id&metaname=Title&dv=nminus-1"

echo "========"
echo "Retrieving dv=nminus-1 Title metadata for $doc_id:"
echo "--------"
./metadata-server.pl 2> /dev/null
echo ""
echo "--------"
echo ""


export QUERY_STRING="a=set-archives-metadata&site=test-suite&c=filelevel-docver&d=$doc_id&metaname=Title&metavalue=Te%20Waka%20o%20Te%20Iwi%20EDITED%20EDITED&dv=nminus-1"
export GS3_AUTHENTICATED=true

echo "========"
echo "Setting dv=nminus-1 Title metadata (EDITED EDITED) for $doc_id:"
echo "--------"
./metadata-server.pl 
#./metadata-server.pl 2> /dev/null
echo ""
echo "--------"
echo ""


export QUERY_STRING="a=get-archives-metadata&site=test-suite&c=filelevel-docver&d=$doc_id&metaname=Title&dv=nminus-1"

echo "========"
echo "Retrieving dv=nminus-1 Title metadata for $doc_id:"
echo "--------"
./metadata-server.pl 2> /dev/null
echo ""
echo "--------"
echo ""
