#!/bin/bash

source ../_local_collect_config.bash

echo ""
echo "****"
echo "Editing Title Metadata of : import/09/09_1_1.item "
echo "****"
/bin/cp testing-files/09_1_1--edited-title-metadata.item import/09/09_1_1.item

echo ""
echo "****"
echo "Removing directory: import/23"
echo "  which contains 23__1.item and 23__2.item"
echo "****"

/bin/rm -rf import/23


echo ""
echo "****"
echo "Initiating incremental build with -keepold"
echo " => Triggers file-level document-version history ONLY for newly processed content in 'archives'"
echo "****"

sleep 3

incremental-import.pl -site $site -keepold $col \
    && incremental-buildcol.pl -site $site -keepold -library_url $gs_library_url -activate $col


## incremental-rebuild.pl -site $site -library_url $gs_library_url "$@" $col


echo ""
echo "##############################################################################"
echo "##############################################################################"
echo "##############################################################################"
echo ""

echo ""
echo "####"
echo "2 documents have been deleted (import/23/{23__1.item,23__2.item})"
echo "1 document has had its title metadata edited (import/09/09_1_1.item)"
echo "The collection has then been incrementall rebuilt"
echo "####"

# echo ""
# echo "# Test 1:"
# echo "Access the collection's About Page in your browser through:"
# echo "    $gs_library_url/collection/$col"
# echo ""
# echo "The  page should say that it contains 7 documents"

# echo ""
# echo "# Test 2:"
# echo "Access the collection's Browser by Title Classifier page (CL1):"
# echo "    $gs_library_url/collection/$col/browse/CL1"
# echo ""
# echo "It should list all 7 documents"
# echo ""

echo "####"
echo ""
